<template>
	<div
		:class="classes"
		class="mdc-select"
		@MDCSelect:change="onChange"
	>
		<slot name="leadingIcon"/>
		<input
			v-if="enhanced && name"
			:name="name"
			type="hidden"
		>
		<i class="mdc-select__dropdown-icon material-icons">expand_more</i>
		<div
			v-if="enhanced"
			:id="id"
			:aria-labelledby="ariaLabelledby"
			aria-haspopup="listbox"
			class="mdc-select__selected-text"
			role="button"
			aria-invalid="false"
		>{{getText(selectedItem) || 'No label'}}</div>
		<div
			ref="menu"
			v-if="enhanced"
			:style="{ width: menuWidth }"
			class="mdc-select__menu mdc-menu mdc-menu-surface"
			role="listbox"
		>
			<ul class="mdc-list">
				<li
					aria-selected="true"
					class="mdc-list-item mdc-list-item--selected"
					data-value=""
					role="option"
				/>
				<template v-if="hasData">
					<li v-for="(item, index) in options" :key="index" :data-value="getId(item)" class="mdc-list-item">{{getText(item)}}</li>
				</template>

<!--				<li v-if="!items.length" class="mdc-list-item">Empty</li>-->
				<slot />
			</ul>
		</div>
		<select
			v-else
			:id="id"
			:aria-describedby="ariaDescribedby"
			:disabled="disabled"
			class="mdc-select__native-control"
			v-bind="$attrs"
		>
			<option
				v-if="$slots['label']"
				disabled
				selected
				value=""
			/>
			<slot />
		</select>
		<div
			v-if="outlined"
			class="mdc-notched-outline"
		>
			<div class="mdc-notched-outline__leading" />
			<div class="mdc-notched-outline__notch" :class="{'mdc-notched-placeholder__notch': !float}">
				<slot v-if="float" name="label" />
				<m-floating-label v-if="!!placeholder">{{placeholder}}</m-floating-label>
			</div>
			<div class="mdc-notched-outline__trailing" />
		</div>
		<slot
			v-else
			name="label"
		/>
		<slot name="line" />
	</div>
</template>
<script src="./Select.js"></script>
